package com.hwrj.cloud.admin.service;

import com.hwrj.cloud.admin.model.CmsSubjectCategory;

import java.util.List;

public interface CmsSubjectCategoryService {
    /**
     * 添加专题分类
     * @param category
     * @return
     */
    public int add(CmsSubjectCategory category);

    /**
     * 修改专题分类
     * @param category
     * @return
     */
    public int update(CmsSubjectCategory category);

    /**
     * 删除专题分类
     * @param id
     * @return
     */
    public int delete(Long id);

    /**
     * 获取专题分类详细信息
     * @param id
     * @return
     */
    public CmsSubjectCategory info(Long id);

    /**
     * 分页获取专题分类
     * @param keyword
     * @param pageNum
     * @param pageSize
     * @return
     */
    public List<CmsSubjectCategory> pageInfo(String keyword, Integer pageNum, Integer pageSize);



    /**
     *获取所有的专题分类
     * @return
     */
    public List<CmsSubjectCategory> listAll(String keyword);
}
